22188197 puppetlabs-rabbitmq needs a patch to handle rabbitmqadmin
authorDrew Fisher <drew.fisher@oracle.com>
Wed, 11 Nov 2015 08:19:47 -0800
changeset 5078 e118c24950fe
parent 5076 0281aef9992b
child 5079 5d18f62e9f8a
22188197 puppetlabs-rabbitmq needs a patch to handle rabbitmqadmin
components/ruby/puppet-modules/puppetlabs-rabbitmq/patches/03-rabbitmqadmin.patch
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/components/ruby/puppet-modules/puppetlabs-rabbitmq/patches/03-rabbitmqadmin.patch	Wed Nov 11 08:19:47 2015 -0800
@@ -0,0 +1,16 @@
+In house patch for setting rabbitmqadmin to sensible Solaris defaults
+
+--- puppetlabs-rabbitmq-3.1.0/manifests/install/rabbitmqadmin.pp.orig   2015-11-11 08:04:09.122236875 -0800
++++ puppetlabs-rabbitmq-3.1.0/manifests/install/rabbitmqadmin.pp        2015-11-11 08:04:25.374437622 -0800
[email protected]@ -12,9 +12,9 @@ class rabbitmq::install::rabbitmqadmin {
+     ],
+   }
+
+-  file { '/usr/local/bin/rabbitmqadmin':
++  file { '/usr/bin/rabbitmqadmin':
+     owner   => 'root',
+-    group   => 'root',
++    group   => 'bin',
+     source  => '/var/lib/rabbitmq/rabbitmqadmin',
+     mode    => '0755',
+     require => Exec['Download rabbitmqadmin'],